TaskbarButton (gCube Resource Management Portlet 5.0.0-SNAPSHOT API)
Date: 2013-09-19

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.resourcemanagement.client.widgets.taskbar
Class TaskbarButton

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.extjs.gxt.ui.client.widget.Component
                  org.gcube.portlets.admin.resourcemanagement.client.widgets.taskbar.TaskbarButton

All Implemented Interfaces:
  com.extjs.gxt.ui.client.event.Observable, com.extjs.gxt.ui.client.widget.IconSupport, com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget

    public class TaskbarButton

extends com.extjs.gxt.ui.client.widget.Component
implements com.extjs.gxt.ui.client.widget.IconSupport

Author:
  Massimiliano Assante (ISTI-CNR) A selectable icon (post-it styled) and text added to the pinned resources (TaskbarWindow).

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.extjs.gxt.ui.client.widget.Component
`afterRender, attachables, baseStyle, disabled, disabledStyle, disableTextSelection, dummy, focusable, hidden, mask, maskMessage, maskMessageStyleName, monitorWindowResize, rendered, resizeHandler, setElementRender, stateId, swallowEvents, toolTip, windowResizeDelay, windowResizeTask`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`TaskbarButton()` Creates a new shortcut.
`TaskbarButton(String id, String type, String text)` Creates a new shortcut.

Method Summary
`void` | `addSelectionListener(com.extjs.gxt.ui.client.event.SelectionListener<? extends com.extjs.gxt.ui.client.event.ComponentEvent> listener)` Adds a selection listener.
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIcon()`
`String` | `getText()` Returns the shortcuts text.
`protected void` | `onClick(com.extjs.gxt.ui.client.event.ComponentEvent ce)`
`void` | `onComponentEvent(com.extjs.gxt.ui.client.event.ComponentEvent ce)`
`protected void` | `onRender(com.google.gwt.user.client.Element target, int index)`
`void` | `removeSelectionListener(com.extjs.gxt.ui.client.event.SelectionListener<? extends com.extjs.gxt.ui.client.event.ComponentEvent> listener)` Removes a previously added listener.
`void` | `setIcon(com.google.gwt.user.client.ui.AbstractImagePrototype icon)`
`void` | `setIconStyle(String icon)`
`void` | `setText(String text)` Sets the shortcuts text.

Methods inherited from class com.extjs.gxt.ui.client.widget.Component
`addAttachable, addListener, addPlugin, addStyleName, addStyleOnOver, addWidgetListener, afterRender, applyState, assertAfterRender, assertPreRender, beforeRender, blur, clearState, createComponentEvent, createObservable, createStyles, disable, disableContextMenu, disableEvents, disableTextSelection, doAttachChildren, doDetachChildren, el, enable, enableEvents, fireEvent, fireEvent, fireEvent, fly, focus, frame, getAriaSupport, getBaseStyle, getBorders, getContextMenu, getData, getElement, getFocusEl, getFocusSupport, getHideMode, getId, getItemId, getListeners, getModel, getObservable, getPlugins, getState, getStateId, getTabIndex, getTitle, getToolTip, getWindowResizeDelay, hasListeners, hasListeners, hide, hideToolTip, initState, isDisabledEvents, isDisableTextSelection, isEnabled, isMasked, isMonitorWindowResize, isRendered, isStateful, isVisible, isVisible, mask, mask, mask, notifyHide, notifyShow, onAttach, onBrowserEvent, onDetach, onDetachHelper, onDisable, onEnable, onEnsureDebugId, onHide, onHideContextMenu, onLoad, onRightClick, onShow, onShowContextMenu, onWindowResize, previewEvent, recalculate, removeAllListeners, removeAttachagle, removeFromParent, removeListener, removeStyleName, removeStyleOnOver, removeSwallow, removeToolTip, removeWidgetListener, render, render, repaint, saveState, setAriaRole, setAriaState, setAriaSupport, setBorders, setContextMenu, setData, setEl, setElement, setElement, setEnabled, setFiresEvents, setHeight, setHideMode, setId, setIntStyleAttribute, setItemId, setModel, setMonitorWindowResize, setParent, setPixelSize, setSize, setStateful, setStateId, setStyleAttribute, setStyleName, setTabIndex, setTitle, setToolTip, setToolTip, setVisible, setWidth, setWindowResizeDelay, setZIndex, show, sinkEvents, swallowEvent, swallowEvent, toString, unframe, unmask`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onUnload, setLayoutData`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, removeStyleDependentName, resolvePotentialElement, setElement, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TaskbarButton

    public TaskbarButton()

  Creates a new shortcut.

### TaskbarButton

    public TaskbarButton(String id,
                         String type,
                         String text)

  Creates a new shortcut.

  Parameters:
    `id` - the shortcut id
    `text` - the shortcut text

Method Detail

### addSelectionListener

    public final void addSelectionListener(com.extjs.gxt.ui.client.event.SelectionListener<? extends com.extjs.gxt.ui.client.event.ComponentEvent> listener)

  Adds a selection listener.

  Parameters:
    `listener` - the listener to add

### getIcon

    public final com.google.gwt.user.client.ui.AbstractImagePrototype getIcon()

  Specified by:
    `getIcon` in interface `com.extjs.gxt.ui.client.widget.IconSupport`

### getText

    public final String getText()

  Returns the shortcuts text.

  Returns:
    the text

### onComponentEvent

    public final void onComponentEvent(com.extjs.gxt.ui.client.event.ComponentEvent ce)

  Overrides:
    `onComponentEvent` in class `com.extjs.gxt.ui.client.widget.Component`

### removeSelectionListener

    public final void removeSelectionListener(com.extjs.gxt.ui.client.event.SelectionListener<? extends com.extjs.gxt.ui.client.event.ComponentEvent> listener)

  Removes a previously added listener.

  Parameters:
    `listener` - the listener to be removed

### setIcon

    public final void setIcon(com.google.gwt.user.client.ui.AbstractImagePrototype icon)

  Specified by:
    `setIcon` in interface `com.extjs.gxt.ui.client.widget.IconSupport`

### setIconStyle

    public final void setIconStyle(String icon)

  Specified by:
    `setIconStyle` in interface `com.extjs.gxt.ui.client.widget.IconSupport`

### setText

    public final void setText(String text)

  Sets the shortcuts text.

  Parameters:
    `text` - the text

### onClick

    protected void onClick(com.extjs.gxt.ui.client.event.ComponentEvent ce)

### onRender

    protected final void onRender(com.google.gwt.user.client.Element target,
                                  int index)

  Overrides:
    `onRender` in class `com.extjs.gxt.ui.client.widget.Component`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.